/************************************************************************/
/*                                                                      */
/*      Calendar Tweaks  -  Thunderbird Extension  -  Options           */
/*                                                                      */
/*      Javascript for Options dialog                                   */
/*                                                                      */
/*      Copyright (C) 2008-2011  by  DW-dev                             */
/*                                                                      */
/*      Last Edit  -  02 Sep 2011                                       */
/*                                                                      */
/************************************************************************/

var calendarTweaksOptions =
{
    prefs: Components.classes["@mozilla.org/preferences-service;1"].getService(Components.interfaces.nsIPrefService).getBranch("extensions.calendartweaks."),
    
    initPrefs: function()
    {
        var checkbox,checkstate;
        
        /* Today and Selection */
        
        checkbox = document.getElementById("calendartweaks-newtoday");
        try
        {
            checkstate = calendarTweaksOptions.prefs.getBoolPref("newtoday");
            checkbox.checked = checkstate;
        }
        catch(e)
        {
            checkbox.checked = false;
        }
        
        checkbox = document.getElementById("calendartweaks-newselday");
        try
        {
            checkstate = calendarTweaksOptions.prefs.getBoolPref("newselday");
            checkbox.checked = checkstate;
        }
        catch(e)
        {
            checkbox.checked = false;
        }
        
        checkbox = document.getElementById("calendartweaks-todayselday");
        try
        {
            checkstate = calendarTweaksOptions.prefs.getBoolPref("todayselday");
            checkbox.checked = checkstate;
        }
        catch(e)
        {
            checkbox.checked = false;
        }
        
        /* Repeating Events */
        
        checkbox = document.getElementById("calendartweaks-repeatnormal");
        try
        {
            checkstate = calendarTweaksOptions.prefs.getBoolPref("repeatnormal");
            checkbox.checked = checkstate;
        }
        catch(e)
        {
            checkbox.checked = false;
        }
        
        checkbox = document.getElementById("calendartweaks-repeatexcept");
        try
        {
            checkstate = calendarTweaksOptions.prefs.getBoolPref("repeatexcept");
            checkbox.checked = checkstate;
        }
        catch(e)
        {
            checkbox.checked = false;
        }
        
        /* Miscellaneous */
        
        checkbox = document.getElementById("calendartweaks-eventborder");
        try
        {
            checkstate = calendarTweaksOptions.prefs.getBoolPref("eventborder");
            checkbox.checked = checkstate;
        }
        catch(e)
        {
            checkbox.checked = false;
        }
        
        checkbox = document.getElementById("calendartweaks-datelabelbkgd");
        try
        {
            checkstate = calendarTweaksOptions.prefs.getBoolPref("datelabelbkgd");
            checkbox.checked = checkstate;
        }
        catch(e)
        {
            checkbox.checked = false;
        }
        
        checkbox = document.getElementById("calendartweaks-lightshadeother");
        try
        {
            checkstate = calendarTweaksOptions.prefs.getBoolPref("lightshadeother");
            checkbox.checked = checkstate;
        }
        catch(e)
        {
            checkbox.checked = false;
        }
        
        checkbox = document.getElementById("calendartweaks-alldaylabel");
        try
        {
            checkstate = calendarTweaksOptions.prefs.getBoolPref("alldaylabel");
            checkbox.checked = checkstate;
        }
        catch(e)
        {
            checkbox.checked = false;
        }
    },
    
    savePrefs: function()
    {
        /* Today and Selection */
        
        calendarTweaksOptions.prefs.setBoolPref("newtoday",document.getElementById("calendartweaks-newtoday").checked);
        calendarTweaksOptions.prefs.setBoolPref("newselday",document.getElementById("calendartweaks-newselday").checked);
        calendarTweaksOptions.prefs.setBoolPref("todayselday",document.getElementById("calendartweaks-todayselday").checked);
        
        /* Repeating Events */
        
        calendarTweaksOptions.prefs.setBoolPref("repeatnormal",document.getElementById("calendartweaks-repeatnormal").checked);
        calendarTweaksOptions.prefs.setBoolPref("repeatexcept",document.getElementById("calendartweaks-repeatexcept").checked);
        
        /* Miscellanous */
        
        calendarTweaksOptions.prefs.setBoolPref("eventborder",document.getElementById("calendartweaks-eventborder").checked);
        calendarTweaksOptions.prefs.setBoolPref("datelabelbkgd",document.getElementById("calendartweaks-datelabelbkgd").checked);
        calendarTweaksOptions.prefs.setBoolPref("lightshadeother",document.getElementById("calendartweaks-lightshadeother").checked);
        calendarTweaksOptions.prefs.setBoolPref("alldaylabel",document.getElementById("calendartweaks-alldaylabel").checked);
    }
};
